Issue 11144 - Sum of empty cells gives zero - should have been nothing
Summary: Sum of empty cells gives zero - should have been nothing
Status: CLOSED WONT_FIX
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 1.0.2
Hardware: PC Linux, all
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-03 07:17 UTC by ooo
Modified: 2003-09-08 16:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ooo 2003-02-03 07:17:32 UTC
When you sum cells which all are empty then you get zero.   
  
But it should be nothing - because you have a sum of "nothings" -in other words you should get an 
empty cell.
Comment 1 oc 2003-02-11 09:58:28 UTC
The SUM function is a number function and has to return a number.
Therefor the result can't be 'nothing'. 
Beyond that one of the key functionality of OOo is the compatibility
to MSOffice. If we change the SUM function for this case, we would
loose this compatibility which would result in many many issues =>wontfix
Comment 2 oc 2003-02-11 10:02:42 UTC
Closed because WONTFIX